SFTP-SERVER(8)

NOM
sftp-server - Sous-système serveur SFTP d’OpenSSH

SYNOPSIS
sftp-server [-ehR] [-d répertoire_démarrage] [-f catégorie_journalisation] [-l niveau_journalisation] [-P requêtes_interdites] [-p requêtes_autorisées] [-u umask]
sftp-server -Q fonctionnalité_protocole

DESCRIPTION
sftp-server est un programme qui implémente le côté serveur du protocole SFTP en envoyant sa production sur la sortie standard et qui attend les requêtes des clients sur l’entrée standard. sftp-server est conçu pour être appelé depuis sshd(8) en utilisant l’option Subsystem.

Les options en ligne de commande de sftp-server doivent être spécifiées dans la définition de l’option Subsystem. Voir sshd_config(5) pour plus d’informations.

Les options valables sont :

-d répertoire_démarrage
    Cette option permet de spécifier un répertoire de démarrage de remplacement pour les utilisateurs. Le nom du chemin peut contenir les symboles suivants qui seront développés à l’exécution : %% est remplacé par le caractère littéral « % », %d par le répertoire personnel de l’utilisateur à authentifier et %u par le nom d’utilisateur de l’utilisateur. Le comportement par défaut consiste à utiliser le répertoire personnel de l’utilisateur. Cette option s’avère utile en combinaison avec l’option ChrootDirectory de sshd_config(5).

-e  Demander à sftp-server d’afficher les entrées de journalisation sur la sortie d’erreur standard au lieu de syslog à des fins de débogage.

-f catégorie_journalisation
    Cette option permet de spécifier le code de catégorie utilisé pour journaliser les messages de sftp-server. Les valeurs possibles sont : DAEMON, USER, AUTH, LOCAL0, LOCAL1, LOCAL2, LOCAL3, LOCAL4, LOCAL5, LOCAL6 et LOCAL7. La valeur par défaut est AUTH.

-h  Afficher des informations à propos de l’utilisation de sftp-server.

-l niveau_journalisation
    Cette option permet de spécifier quels messages seront journalisés par sftp-server. Les valeurs possibles sont : QUIET, FATAL, ERROR, INFO, VERBOSE, DEBUG, DEBUG1, DEBUG2 et DEBUG3. INFO et VERBOSE journalisent les transactions qu’effectue sftp-server au nom du client. DEBUG et DEBUG1 sont équivalents. DEBUG2 et DEBUG3 spécifient des niveaux supérieurs de sortie de débogage. La valeur par défaut est ERROR.

-P requêtes_interdites
    Cette option permet de spécifier une liste de requêtes du protocole SFTP séparées par des virgules qui seront rejetées par le serveur. sftp-server répondra à toute requête interdite par une erreur. L’option -Q permet de déterminer les types de requête pris en charge. Si les deux listes (requêtes interdites et requêtes autorisées) sont spécifiées, la liste des requêtes interdites sera appliquée avant la liste des requêtes autorisées.

-p requêtes_autorisées
    Cette option permet de spécifier une liste de requêtes du protocole SFTP séparées par des virgules qui sont prises en charge par le serveur. Tous les types de requête non présents dans la liste des requêtes autorisées seront journalisés et feront l’objet d’une réponse sous la forme d’un message d’erreur.

    Il faut prêter une attention particulière à l’utilisation de cette fonctionnalité afin de s’assurer que les requêtes effectuées implicitement par les clients SFTP sont bien autorisées.

-Q fonctionnalité_protocole
    Cette option permet de demander quelles sont les fonctionnalités du protocole prises en charge par sftp-server. Actuellement, la seule fonctionnalité qui peut faire l’objet d’une demande est « requests » qui permet d’interdire ou d’autoriser des requêtes particulières (options -P et -p, respectivement).

-R  Placer cette instance de sftp-server en mode lecture seule. Toute tentative d’ouvrir des fichiers en écriture ou toute autre opération qui modifie l’état du système de fichiers sera rejetée.

-u umask
    Cette option permet de définir un masque de création de fichier umask(2) à appliquer aux fichiers et répertoires nouvellement créés, à la place du masque par défaut de l’utilisateur.

Sur certains systèmes, sftp-server doit pouvoir accéder à /dev/log pour que la journalisation fonctionne, et l’utilisation de sftp-server dans une configuration chroot nécessite par conséquent que syslogd(8) établisse un socket de journalisation à l’intérieur du répertoire de chroot.

VOIR AUSSI
sftp(1), ssh(1), sshd_config(5), sshd(8) T. Ylonen, S. Lehtinen, « SSH File Transfer Protocol », draft-ietf-secsh-filexfer-02.txt, Octobre 2001, document en cours d’écriture.

HISTORIQUE
sftp-server est apparu dans OpenBSD 2.8.

AUTEURS
Markus Friedl <markus@openbsd.org>

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@waika9.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.